package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Weapon;

public class Goblin extends Enemy{

    public Goblin(int hp, Weapon weapon) {
        super(hp - 10, weapon, 15, 10);
    }

    //attacks the player while dealing higher damage than its weapon has
    @Override
    public void attack(Entity target) {
        //checks if the player has stunned them
        if (!(isStunned())) {
            target.takeDamage(getWeapon().getDamage() + 5);
        }
    }
}
